package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJD3 extends MwfRequest<MWFJD3, MWFJD3Response> {

    @Parameter(name = "DATATYPE0")
    MWFJD3 datatype0(String datatype0);
    @Parameter(name = "DATATYPE1")
    MWFJD3 datatype1(String datatype1);
    @Parameter(name = "DATATYPE10")
    MWFJD3 datatype10(String datatype10);
    @Parameter(name = "DATATYPE11")
    MWFJD3 datatype11(String datatype11);
    @Parameter(name = "DATATYPE12")
    MWFJD3 datatype12(String datatype12);
    @Parameter(name = "DATATYPE13")
    MWFJD3 datatype13(String datatype13);
    @Parameter(name = "DATATYPE14")
    MWFJD3 datatype14(String datatype14);
    @Parameter(name = "DATATYPE2")
    MWFJD3 datatype2(String datatype2);
    @Parameter(name = "DATATYPE3")
    MWFJD3 datatype3(String datatype3);
    @Parameter(name = "DATATYPE4")
    MWFJD3 datatype4(String datatype4);
    @Parameter(name = "DATATYPE5")
    MWFJD3 datatype5(String datatype5);
    @Parameter(name = "DATATYPE6")
    MWFJD3 datatype6(String datatype6);
    @Parameter(name = "DATATYPE7")
    MWFJD3 datatype7(String datatype7);
    @Parameter(name = "DATATYPE8")
    MWFJD3 datatype8(String datatype8);
    @Parameter(name = "DATATYPE9")
    MWFJD3 datatype9(String datatype9);
    @Parameter(name = "GLOBAL_OPERATOR")
    MWFJD3 globalOperator(String globalOperator);
    @Parameter(name = "ITEM_FIRST")
    MWFJD3 itemFirst(Long itemFirst);
    @Parameter(name = "ITEM_LAST")
    MWFJD3 itemLast(Long itemLast);
    @Parameter(name = "OPERAND0")
    MWFJD3 operand0(String operand0);
    @Parameter(name = "OPERAND1")
    MWFJD3 operand1(String operand1);
    @Parameter(name = "OPERAND10")
    MWFJD3 operand10(String operand10);
    @Parameter(name = "OPERAND11")
    MWFJD3 operand11(String operand11);
    @Parameter(name = "OPERAND12")
    MWFJD3 operand12(String operand12);
    @Parameter(name = "OPERAND13")
    MWFJD3 operand13(String operand13);
    @Parameter(name = "OPERAND14")
    MWFJD3 operand14(String operand14);
    @Parameter(name = "OPERAND2")
    MWFJD3 operand2(String operand2);
    @Parameter(name = "OPERAND3")
    MWFJD3 operand3(String operand3);
    @Parameter(name = "OPERAND4")
    MWFJD3 operand4(String operand4);
    @Parameter(name = "OPERAND5")
    MWFJD3 operand5(String operand5);
    @Parameter(name = "OPERAND6")
    MWFJD3 operand6(String operand6);
    @Parameter(name = "OPERAND7")
    MWFJD3 operand7(String operand7);
    @Parameter(name = "OPERAND8")
    MWFJD3 operand8(String operand8);
    @Parameter(name = "OPERAND9")
    MWFJD3 operand9(String operand9);
    @Parameter(name = "OPERATOR0")
    MWFJD3 operator0(String operator0);
    @Parameter(name = "OPERATOR1")
    MWFJD3 operator1(String operator1);
    @Parameter(name = "OPERATOR10")
    MWFJD3 operator10(String operator10);
    @Parameter(name = "OPERATOR11")
    MWFJD3 operator11(String operator11);
    @Parameter(name = "OPERATOR12")
    MWFJD3 operator12(String operator12);
    @Parameter(name = "OPERATOR13")
    MWFJD3 operator13(String operator13);
    @Parameter(name = "OPERATOR14")
    MWFJD3 operator14(String operator14);
    @Parameter(name = "OPERATOR2")
    MWFJD3 operator2(String operator2);
    @Parameter(name = "OPERATOR3")
    MWFJD3 operator3(String operator3);
    @Parameter(name = "OPERATOR4")
    MWFJD3 operator4(String operator4);
    @Parameter(name = "OPERATOR5")
    MWFJD3 operator5(String operator5);
    @Parameter(name = "OPERATOR6")
    MWFJD3 operator6(String operator6);
    @Parameter(name = "OPERATOR7")
    MWFJD3 operator7(String operator7);
    @Parameter(name = "OPERATOR8")
    MWFJD3 operator8(String operator8);
    @Parameter(name = "OPERATOR9")
    MWFJD3 operator9(String operator9);
    @Parameter(name = "ORDERBY")
    MWFJD3 orderby(String orderby);
    @Parameter(name = "STATE")
    MWFJD3 state(String state);
    @Parameter(name = "VALUE0")
    MWFJD3 value0(String value0);
    @Parameter(name = "VALUE1")
    MWFJD3 value1(String value1);
    @Parameter(name = "VALUE10")
    MWFJD3 value10(String value10);
    @Parameter(name = "VALUE11")
    MWFJD3 value11(String value11);
    @Parameter(name = "VALUE12")
    MWFJD3 value12(String value12);
    @Parameter(name = "VALUE13")
    MWFJD3 value13(String value13);
    @Parameter(name = "VALUE14")
    MWFJD3 value14(String value14);
    @Parameter(name = "VALUE2")
    MWFJD3 value2(String value2);
    @Parameter(name = "VALUE3")
    MWFJD3 value3(String value3);
    @Parameter(name = "VALUE4")
    MWFJD3 value4(String value4);
    @Parameter(name = "VALUE5")
    MWFJD3 value5(String value5);
    @Parameter(name = "VALUE6")
    MWFJD3 value6(String value6);
    @Parameter(name = "VALUE7")
    MWFJD3 value7(String value7);
    @Parameter(name = "VALUE8")
    MWFJD3 value8(String value8);
    @Parameter(name = "VALUE9")
    MWFJD3 value9(String value9);
}
